Panda3D

Functions
geomPrimitive.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
| CPT (GeomVertexArrayData) GeomPrimitive
| Returns a const pointer to the vertex index array so application code can read it directly. More...
| PT (GeomVertexArrayData) GeomPrimitive
| Creates and returns a new, empty index table. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2005-03-06

Definition in file geomPrimitive.I.

## Function Documentation

## ◆ CPT()

CPT | ( | GeomVertexArrayData |  | ) |
| inline

Returns a const pointer to the vertex index array so application code can read it directly.

Calls the appropriate method on the GSG to draw the primitive.

Returns a const pointer to the primitive mins array so application code can read it directly.

This might return NULL if the primitive is nonindexed. Do not attempt to modify the returned array; use modify_vertices() or set_vertices() for this.

This method is intended for low-level usage only. There are higher-level methods for more common usage. We recommend you do not use this method directly. If you do, be sure you know what you are doing!

Equivalent to get_vertices().get_handle().

Equivalent to modify_vertices().get_handle().

Do not attempt to modify the returned array; use set_minmax() for this.

Note that simple primitive types, like triangles, do not have a mins array.

This method is intended for low-level usage only. There are higher-level methods for more common usage. We recommend you do not use this method directly. If you do, be sure you know what you are doing!

Returns a const pointer to the primitive maxs array so application code can read it directly. Do not attempt to modify the returned array; use set_minmax().

Note that simple primitive types, like triangles, do not have a maxs array.

This method is intended for low-level usage only. There are higher-level methods for more common usage. We recommend you do not use this method directly. If you do, be sure you know what you are doing!

Adds several vertices in a row.

Definition at line 251 of file geomPrimitive.I.

## ◆ PT()

PT | ( | GeomVertexArrayData |  | ) |
| inline

Creates and returns a new, empty index table.

Returns a registered format appropriate for using to store the index table.

Definition at line 396 of file geomPrimitive.I.